Supported Operating Systems / Web Browsers / Virtualization Platforms

Article #:

Product

Castle

1867

 

All

Summary

This article is designed to answer your questions regarding which Operating Systems, Web Browsers and Virtualization platforms are supported for both your Smoothwall administration user interface and for your client machines using our Guardian product.

Administration User Interface

Anything that requires an admin UI password falls in to this category. This is for managing your Smoothwallsettings and configurations: 

Supported Web Browsers Only

Windows 7 + 8 + 8.1 (All versions, incl. Pro and Enterprise)
Internet Explorer latest stable version supported by Microsoft (currently only v11)
IE compatibility mode is NOT supported
Google Chrome latest stable version only.
Windows 10
Microsoft Edge (from Dover release)
Mac latest stable version only
Google Chrome latest stable version only.
Screen resolution 1280 width.

Not Officially Supported

This means that you MAY be able to use these browsers, but we cannot guarantee that the interface will perform or display as expected, and should you encounter problems using the interface with these browsers, we can only recommend that you revert to using a fully supported browser as above.

iOS latest stable version only
Google Chrome latest stable version only.
Safari latest stable version only.
Android ICS and later
Google Chrome latest stable version only.
ChromeOS
Google Chrome latest stable version only.
Windows 7 + 8
Internet Explorer more than two versions old
Firefox
Mac
Safari
Linux
Google Chrome
Firefox

Not Supported

We do not support the use of the Smoothwall interface on the following browsers:

Internet Explorer more than two versions old
Internet Explorer v6, 7, 8, 9
Internet Explorer compatibility mode
Opera
iOS Firefox latest stable version only.
Android < ICS
Android non-chrome browsers
Windows 8 RT

Guardian Client (filtered by Guardian)

Anything that gets filtered or goes through Guardian falls in to this category. The following is a list of browsers supported by our Guardian Client. A Client using these browsers should be able to b e filtered by the Web Proxy (subject to ensuring the client machine and browser are configured correctly).

Supported Web Browsers

Microsoft Edge (from Edinburgh release)
Internet Explorer v11
Internet Explorer v10
Internet Explorer v9
FireFox latest version only
Safari on Mac
Mobile Safari on iOS
Chrome on iOS
Chrome on ChromeOS (including ChromeBook and ChromeBox)
Google Chrome on Windows latest version only.
Chrome on Android latest version only.

Not Supported

Internet Explorer versions prior to v9
Opera
FireFox less than latest version
Chrome less than latest version

Supported Operating Systems

Windows 7+ (All versions, incl. Pro and Enterprise)
MacOS X 10.8+
iOS 7+
Android from ICS
Windows 8 RT
Windows Server 2003
Windows Server 2008
Windows Server 2012
ChromeOS

Not supported

Linux
Windows Vista
Windows XP
Kindle
Kindle Fire
Blackberry

Authentication

Directory Servers

Windows Server 2003 R2
Windows Server 2008 R2
Windows Server 2012
Windows Server 2012 R2
MacOS X Server
eDirectory
Radius
Google

Not Supported

Windows Server 2003
Windows Server 2008
Azure Active Directory
OpenLDAP

Authentication clients

Supported:

SSL login client V2

Not Supported:

SSL login Client V1
All 3rd party ident clients

Smoothwall Connect Filter Clients

 Supported

Mobile Guardian (thick client) Windows
Smoothwall Connect Filter (thin client) Mac OS X 10.8, 10.9
Smoothwall Connect Filter (Browser) (iOS 7 and 8)
Smoothwall Connect Filter (thin client) Windows 7, 8, 8.1, 10 (All versions, incl. Pro and Enterprise)
Smoothwall Connect for Chromebooks (Including Chromebox)

Portal Access (multi-tenant reporting, policy tester) & SWURL administration interface

For any tool or utility that accesses the portal interface.

Supported Web Browsers Only

Windows 7 + 8, 8.1 (All versions, incl. Pro and Enterprise)
Internet Explorer latest three stable versions only (currently v9 + v10 + v11)
IE compatibility mode is NOT supported
Google Chrome latest stable version only.
Windows 10
Microsoft Edge (from Edinburgh release)
Mac latest stable version only
Google Chrome latest stable version only.
Safari latest stable version only.

Not Officially Supported

This means that you MAY be able to use these browsers, but we cannot guarantee that the interface will perform or display as expected, and should you encounter problems using the interface with these browsers, we can only recommend that you revert to using a fully supported browser as above.

Windows or Mac
Firefox
iOS latest stable version only
Google Chrome latest stable version only.
Safari latest stable version only.
Android ICS and later
Google Chrome latest stable version only.
Safari latest stable version only.
ChromeOS
Google Chrome latest stable version only.
Windows 7 + 8
Internet Explorer three versions old (currently v9)
Firefox latest stable version only.
Mac latest stable version only
Safari latest stable version only.
Linux
Google Chrome latest stable version only.
Firefox latest stable version only.

Not Supported

Internet Explorer v6, 7, 8
Internet Explorer compatibility mode
Opera
iOS Firefox latest stable version only.
Internet Explorer v8 (for users of Windows XP)
Android < ICS
Android non-chrome browsers
Windows 8 RT
IE 11

Virtualisation Platforms

Supported

VMWare ESXi 5 - 5.5
VMWare ESXi 6.0 (From Dover)
Microsoft Hyper-V 2008 (from Arundel release)
Microsoft Hyper-V 2012 (from Arundel release)

Not Officially Supported

This means that you MAY be able to use these Virtualisation Platforms, but we cannot guarantee that the Smoothwall will perform as expected, and should you encounter problems using the Smoothwall while installed on these platforms, we can only recommend that you revert to using a fully supported platform as above

Microsoft Hyper-V 2008 (releases up to IN07)
Microsoft Hyper-V 2012 (releases up to IN07)
Oracle VirtualBox 4.3
Oracle VirtualBox 5
Citrix XenServer 6.1
Microsoft Azure - Planned for support in early 2017

Not Supported

Microsoft Hyper-V 2008 running in compatibility mode
Microsoft Hyper-V 2012 running in compatibility mode
Citrix XenServer 6.2 and 7.0 (definitely doesn't work, has problems with storage driver)
VMWare ESX 4.x and previous

Hardware specifications

The minimum supported specification for any hardware or virtual will, as of SP12, be:

Minimum 4 GB RAM
Minimum 40 GB disk

Attribution:

Last updated:

Author:

Contributions by:

07 September 2016

 

SK

 

 

Copyright © 2000-2016 Smoothwall All rights reserved.